#
#	AppKit tests Makefile
# 
TOP = ../..
LIBS = -ljpeg -lgif -lpng -lz

# Example applications that have their own directory
SUBPROJECTS = Workspace Edit IModel

# Applications to be built
APPS = \
panels \
buttons \
matrix \
scrollview \
tableview \
combo \
nsbrowser \
example \
coord \
viewer \

# Files to be compiled for each application
panels_OBJS = panels.o
buttons_OBJS = buttons.o
matrix_OBJS = matrix.o
scrollview_OBJS = scrollview.o
tableview_OBJS = tableview.o Controller.o
combo_OBJS = combo.o
nsbrowser_OBJS = nsbrowser.o
example_OBJS = example.o
coord_OBJS = coord.o
viewer_OBJS = viewer.o Controller.o

$(TARGET)_PRINCIPAL_CLASS = Controller
example_PRINCIPAL_CLASS = ""


# Resource files to be copied into each app's resources directory
combo_RESOURCES = Resources/host.tiff Resources/meter.tiff
example_RESOURCES = Resources/.mySTEPServices
tableview_RESOURCES = Resources/data.plist
viewer_RESOURCES = Resources/g0.tiff Resources/g4.tiff Resources/g24.tiff \
				   Resources/g23.tiff Resources/g22.tiff Resources/g21.tiff \
				   Resources/g20.tiff

viewer_ICON = g0.tiff

#
#	Include Makefiles 
# 
include $(TOP)/Makefiles/app.make


example::
	if [ -d ./example.app ]; then \
	    rm -rf ./example.service; \
	    mv ./example.app ./example.service; \
	fi

viewer::
	if [ -d $(TOP)/../tiffs ]; then \
	    cp /usr/src/tiffs/w1s.jpg ./viewer.app/Resources; \
	fi
